const connect = require('connect');

const proto = require('@runkit/comus/novar-proto/branches/master');
const callbacks = require('@runkit/comus/novar-callbacks/branches/master');
const settings = require('@runkit/comus/novar-settings/branches/master');
const graphQLSchema = require('@runkit/comus/novar-graphql-schema/branches/master');
const apolloServer = require('@runkit/comus/novar-apollo-server/branches/master');

function createServer() {
    const app = connect();
    Object.assign(app, proto);
    Object.assign(app, callbacks);
    Object.assign(app, settings);
    Object.assign(app, graphQLSchema);
    Object.assign(app, apolloServer);
    app.initCallbacks();
    app.initSettings();
    app.initGraphQLSchema();
    app.initApolloServer();
    return app;
}

exports = module.exports = createServer;;
// var novarServer = createServer();
// novarServer.isDevelopment = () => true;
// novarServer.settings = {
//     graphqlEndpointUrl: '/comus/novar-server/branches/master/graphql',
// };
// novarServer.callbacks['startup'][0]();

// var express = require("@runkit/runkit/express-endpoint/1.0.0");
// var app = express(exports);
// app.use(novarServer);;
